List agents/item/share links
curl --request GET \
--url https://api.callaro.ai/api/v1/agents/{agent_id}/share-links \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/agents/{agent_id}/share-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{agent_id}/share-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"agent_id": "<string>",
"tenant_id": "<string>",
"label": "<string>",
"expires_at": "<string>",
"revoked_at": "<string>",
"last_used_at": "<string>",
"use_count": 123,
"max_uses": "<string>",
"locked_runtime_var_keys": "<string>",
"state": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Agents
List agents/item/share links
From api/v1/agent_share_links#index in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
agents
/
{agent_id}
/
share-links
List agents/item/share links
curl --request GET \
--url https://api.callaro.ai/api/v1/agents/{agent_id}/share-links \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/agents/{agent_id}/share-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{agent_id}/share-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "<string>",
"agent_id": "<string>",
"tenant_id": "<string>",
"label": "<string>",
"expires_at": "<string>",
"revoked_at": "<string>",
"last_used_at": "<string>",
"use_count": 123,
"max_uses": "<string>",
"locked_runtime_var_keys": "<string>",
"state": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>"
}
]
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Was this page helpful?